Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 10 sur 10
  1. #1
    Invité de passage
    Homme Profil pro
    Administrateur systèmes et réseaux
    Inscrit en
    février 2013
    Messages
    29
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Administrateur systèmes et réseaux
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : février 2013
    Messages : 29
    Points : 3
    Points
    3

    Par défaut Installation de Protégé sur un serveur Linux

    J'aimerais installer Protégé sur un serveur Linux sur lequel un serveur LAMP tourne. Suite à une quelconque erreur je ne parviens pas à accéder à l'interface graphique, mais cela n'empêche en rien le serveur de tourner.

    Néanmoins, il semblerait que Protégé requiert une interface graphique lors de l'installation. J'aimerais juste avoir confirmation ou s'il y a une solution pour l'installer en ligne de commande ?


    Merci

  2. #2
    Membre chevronné
    Avatar de Sapience
    Homme Profil pro Thomas Francart
    Consultant sémantique & data à sparna.fr
    Inscrit en
    avril 2005
    Messages
    231
    Détails du profil
    Informations personnelles :
    Nom : Homme Thomas Francart
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Consultant sémantique & data à sparna.fr
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : avril 2005
    Messages : 231
    Points : 772
    Points
    772

    Par défaut

    Protégé en soit est juste un zip que tu dezippes et tu lances run.sh, pas besoin de serveur, pas de risque de conflit de port (à ma connaissance), et pas besoin d'interface graphique. A moins que tu veuilles parler de webprotégé (http://protegewiki.stanford.edu/wiki/WebProtege) ? dans ce cas il te faut un serveur J2EE genre Tomcat.
    Ou alors j'ai pas bien compris ta question ?

  3. #3
    Invité de passage
    Homme Profil pro
    Administrateur systèmes et réseaux
    Inscrit en
    février 2013
    Messages
    29
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Administrateur systèmes et réseaux
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : février 2013
    Messages : 29
    Points : 3
    Points
    3

    Par défaut

    Merci pour la réponse.

    Nan je ne parle pas de Webprotégé, mais bien de Protégé. Donc, la GUI ne serait pas utile lors de l'install d'après toi ? C'est pourtant bien le message que j'obtiens lors de l'install du .sh.

    Je n'ai pas de capture d'écran sous la main. Je posterai ça quand je serai de retour au taf.

  4. #4
    Membre chevronné
    Avatar de Sapience
    Homme Profil pro Thomas Francart
    Consultant sémantique & data à sparna.fr
    Inscrit en
    avril 2005
    Messages
    231
    Détails du profil
    Informations personnelles :
    Nom : Homme Thomas Francart
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Consultant sémantique & data à sparna.fr
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : avril 2005
    Messages : 231
    Points : 772
    Points
    772

    Par défaut

    Donc, la GUI ne serait pas utile lors de l'install d'après toi ?
    En fait, ça dépend de la version que tu télécharges. Sur la page de download de Protégé (http://protege.stanford.edu/download/registered.html) tu peux télécharger pour Protégé 4.2 soit une version avec wizard d'install, soit une version sans wizard d'install ni JVM. Effectivement c'est cette dernière que j'utilise et qui ne demande qu'a être dézippée et lancée, sous réserve que tu aies java installé par ailleurs. L'autre version avec l'installer doit bien demander une interface graphique à l'install.

  5. #5
    Invité de passage
    Homme Profil pro
    Administrateur systèmes et réseaux
    Inscrit en
    février 2013
    Messages
    29
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Administrateur systèmes et réseaux
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : février 2013
    Messages : 29
    Points : 3
    Points
    3

    Par défaut

    Yes, merci pour l'info, 'faudrait donc que je regarde la version without wizard donc.

    2 questions noobesque : c'est quoi un wizard ? et quelle est la version sans wizard (ZIP ou platform installer) ?

  6. #6
    Membre chevronné
    Avatar de Sapience
    Homme Profil pro Thomas Francart
    Consultant sémantique & data à sparna.fr
    Inscrit en
    avril 2005
    Messages
    231
    Détails du profil
    Informations personnelles :
    Nom : Homme Thomas Francart
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Consultant sémantique & data à sparna.fr
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : avril 2005
    Messages : 231
    Points : 772
    Points
    772

    Par défaut

    Citation Envoyé par DSOFJ Voir le message
    2 questions noobesque : c'est quoi un wizard ?
    C'est ce que tu as appelé la GUI pour l'installation.

    quelle est la version sans wizard (ZIP ou platform installer) ?
    Zip. Justement le "platform independant installer" est l'installeur avec interface graphique.

  7. #7
    Invité de passage
    Homme Profil pro
    Administrateur systèmes et réseaux
    Inscrit en
    février 2013
    Messages
    29
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Administrateur systèmes et réseaux
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : février 2013
    Messages : 29
    Points : 3
    Points
    3

    Par défaut

    Merci beaucoup pour les éclaircissements Sapience, ça devrait m'aider.

    Aujourd'hui, j'étais sur un autre problème, comment faire pour associer un FQDN à un serveur local quand on pense avoir tout bien configurer BIND9

    Oui, oui .... mais je débute

  8. #8
    Invité de passage
    Homme Profil pro
    Administrateur systèmes et réseaux
    Inscrit en
    février 2013
    Messages
    29
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Administrateur systèmes et réseaux
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : février 2013
    Messages : 29
    Points : 3
    Points
    3

    Par défaut

    Rebonjour Sapience si tu me lis,

    J'ai pu lancé Protégé sous Windows en installant JRE et JDK et en ajoutant la vairable d'environnement JAVA_HOME : C:\Program Files\Java\jre7.

    Le logiciel se lance sans problème.

    C'est une autre histoire sous ubuntu. J'ai pu récupérer mon interface graphique, il semblerait que c'est Xauthority qui avait crashé. J'ai pu installer Protégé, mais quand je veux le lancer, je n'ai rien de plus que :

    Fatal Exception Caught trying to start Protege
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.protege.common [1]: package; (&(package=javax.swing.text)(version>=0.0.0))
    at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3295)
    at org.apache.felix.framework.Felix.startBundle(Felix.java:1653)
    at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905)
    at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:892)
    at org.protege.osgi.framework.Launcher.start(Launcher.java:90)
    at org.protege.osgi.framework.Launcher.main(Launcher.java:101)
    JRE et JDK sont installé j'ai rajouté la variable d'env

    JAVA_HOME = /usr/lib/jvm/java-7-openjdk-i386/bin
    dans /etc/environment, je l'ai "activé", mais rien de plus.

    As-tu une idée ?

    Merci

  9. #9
    Membre chevronné
    Avatar de Sapience
    Homme Profil pro Thomas Francart
    Consultant sémantique & data à sparna.fr
    Inscrit en
    avril 2005
    Messages
    231
    Détails du profil
    Informations personnelles :
    Nom : Homme Thomas Francart
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Consultant sémantique & data à sparna.fr
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : avril 2005
    Messages : 231
    Points : 772
    Points
    772

    Par défaut

    Citation Envoyé par DSOFJ Voir le message
    JAVA_HOME = /usr/lib/jvm/java-7-openjdk-i386/bin
    D'abord normalement une JAVA_HOME doit pointer sur le répertoire d'install de Java, _pas_ sur le sous-répertoire bin, donc :

    Code :
    JAVA_HOME = /usr/lib/jvm/java-7-openjdk-i386
    (Par ailleurs personnellement je ne fais pas 100% confiance à l'implémentation openjdk...)

    Mais il semblerait que le problème vienne d'un problème de compatibilité entre Protégé et Java 7 : https://mailman.stanford.edu/piperma...st/004041.html

    Si tu peux, install une JDK 6 et retente.

  10. #10
    Invité de passage
    Homme Profil pro
    Administrateur systèmes et réseaux
    Inscrit en
    février 2013
    Messages
    29
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Administrateur systèmes et réseaux
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : février 2013
    Messages : 29
    Points : 3
    Points
    3

    Par défaut

    Salut,

    Merci pour la réponse ! Je ne sais pas si c'est moi, mais tu es le seul à répondre aux différentes questions que j'ai posté sur le site

    Bon, pour le moment je n'ai pas encore eu le temps de tester les modifs dont tu me parles, trop de taf à côté, je tenterai la modif du path JAVA_HOME dans la semaine.

    J'espère que ce sera ok.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •